/* 
 *  Author: Chris Lord <chris@openedhand.com>
 *
 *  Copyright (c) 2007 OpenedHand Ltd - http://www.openedhand.com/
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2, or (at your option)
 *  any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 */
 
#ifndef JANA_ECAL_STORE_H
#define JANA_ECAL_STORE_H

#include <glib-object.h>
#include <libecal/e-cal.h>
#include <libecal/e-cal-view.h>
#include <libjana/jana-store.h>
#include <libjana-ecal/jana-ecal-store.h>

#define JANA_ECAL_TYPE_STORE	(jana_ecal_store_get_type ())
#define JANA_ECAL_STORE(obj)	(G_TYPE_CHECK_INSTANCE_CAST ((obj), \
				 JANA_ECAL_TYPE_STORE, JanaEcalStore))
#define JANA_ECAL_STORE_CLASS(vtable)	(G_TYPE_CHECK_CLASS_CAST ((vtable), \
					 JANA_ECAL_TYPE_STORE, \
					 JanaEcalStoreClass))
#define JANA_ECAL_IS_STORE(obj)	(G_TYPE_CHECK_INSTANCE_TYPE ((obj), \
				 JANA_ECAL_TYPE_STORE))
#define JANA_ECAL_IS_STORE_CLASS(vtable)(G_TYPE_CHECK_CLASS_TYPE ((vtable), \
					 JANA_ECAL_TYPE_STORE))
#define JANA_ECAL_STORE_GET_CLASS(inst)	(G_TYPE_INSTANCE_GET_CLASS ((inst), \
					 JANA_ECAL_TYPE_STORE, \
					 JanaEcalStoreClass))


typedef struct _JanaEcalStore JanaEcalStore;
typedef struct _JanaEcalStoreClass JanaEcalStoreClass;

/**
 * JanaEcalStore:
 *
 * The #JanaEcalStore struct contains only private data.
 */
struct _JanaEcalStore {
	GObject parent;
};

struct _JanaEcalStoreClass {
	GObjectClass parent;
};

GType jana_ecal_store_get_type (void);

JanaStore *jana_ecal_store_new 		(JanaComponentType type);
JanaStore *jana_ecal_store_new_from_uri	(const gchar *uri,
					 JanaComponentType type);

#endif /* JANA_ECAL_STORE_H */

