/* 
 *  Author: Chris Lord <chris@openedhand.com>
 *
 *  Copyright (c) 2007 OpenedHand Ltd - http://www.openedhand.com/
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2, or (at your option)
 *  any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 */

#ifndef _JANA_GTK_DATE_TIME_H
#define _JANA_GTK_DATE_TIME_H

#include <glib-object.h>
#include <gtk/gtk.h>
#include <libjana/jana-time.h>

G_BEGIN_DECLS

#define JANA_GTK_TYPE_DATE_TIME jana_gtk_date_time_get_type()

#define JANA_GTK_DATE_TIME(obj) \
	(G_TYPE_CHECK_INSTANCE_CAST ((obj), \
	JANA_GTK_TYPE_DATE_TIME, JanaGtkDateTime))

#define JANA_GTK_DATE_TIME_CLASS(klass) \
	(G_TYPE_CHECK_CLASS_CAST ((klass), \
	JANA_GTK_TYPE_DATE_TIME, JanaGtkDateTimeClass))

#define JANA_GTK_IS_DATE_TIME(obj) \
	(G_TYPE_CHECK_INSTANCE_TYPE ((obj), \
	JANA_GTK_TYPE_DATE_TIME))

#define JANA_GTK_IS_DATE_TIME_CLASS(klass) \
	(G_TYPE_CHECK_CLASS_TYPE ((klass), \
	JANA_GTK_TYPE_DATE_TIME))

#define JANA_GTK_DATE_TIME_GET_CLASS(obj) \
	(G_TYPE_INSTANCE_GET_CLASS ((obj), \
	JANA_GTK_TYPE_DATE_TIME, JanaGtkDateTimeClass))

typedef struct {
	GtkVBox parent;
} JanaGtkDateTime;

typedef struct {
	GtkVBoxClass parent_class;
	
	/* Signals */
	void	(*changed)	(JanaGtkDateTime *self);
} JanaGtkDateTimeClass;

GType jana_gtk_date_time_get_type (void);

GtkWidget* jana_gtk_date_time_new (JanaTime *time);

JanaTime *jana_gtk_date_time_get_time (JanaGtkDateTime *self);
void jana_gtk_date_time_set_time (JanaGtkDateTime *self, JanaTime *time);

void		jana_gtk_date_time_set_editable	(JanaGtkDateTime *self,
						 gboolean editable);
gboolean	jana_gtk_date_time_get_editable	(JanaGtkDateTime *self);

G_END_DECLS

#endif /* _JANA_GTK_DATE_TIME_H */

